using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Windows.Forms.Layout;
using LinearProgramming;
using ALM;

namespace TestConstraintEdit
{
    public partial class Form1 : Form
    {
        ALMEngine le = new ALMEngine();

        public override LayoutEngine LayoutEngine
        {
            get { return le; }
        }
        public Form1()
        {
            InitializeComponent();
            LayoutSpec ls = new LayoutSpec();
            le.LayoutSpec = ls;
            XTab x1 = ls.AddXTab();
            XTab x2 = ls.AddXTab();
            XTab x3 = ls.AddXTab();
            XTab x4 = ls.AddXTab();
            YTab y1 = ls.AddYTab();
            YTab y2 = ls.AddYTab();
            YTab y3 = ls.AddYTab();
            YTab y4 = ls.AddYTab();
            YTab y5 = ls.AddYTab();
            ls.AddArea(x1, y1, x2, y2, button1);
            ls.AddArea(ls.Left, ls.Top, x3, y3, button2);
            ls.AddConstraint(1, y1, 1, y2, OperatorType.EQ, 200);
            ls.AddConstraint(1, y3, OperatorType.EQ, 50);
            ls.Constraints.Reverse();
            le.LayoutSpec = ls;
            this.PerformLayout();
            le.Edit();
        }
    }
}